Bug 987273 - BOMs for customer usage are not specified
BOMs for customer usage are not specified
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build, Maven Repository (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity urgent
: ER7
: EAP 6.1.1
Assigned To: Paul Gier
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 02:52 EDT by Rostislav Svoboda
Modified: 2015-02-20 05:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
As as part of ongoing efforts to streamline development for Red Hat JBoss Enterprise Application Platform, this release includes new Bill of Materials (BOM) files for use with the downloadable JBoss Enterprise Application Platform 6 Maven Repository. Refer to the Enterprise Application Platform Developer Guide for details about the new BOM files and downloading the repository.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:22:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rostislav Svoboda 2013-07-23 02:52:35 EDT
Currently there are 31 POM files which have defined dependencyManagement [1] .
For JMS users must use BOM file in EAP zip, there is no JMS BOM file in maven repo zip.

Please define list of supported BOM files, we need it for proper testing.
This must be included in documentation too.


[1] https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Repository/job/eap-60-repository-maven-check-boms-for-effective-pom/lastCompletedBuild/testReport/
Comment 1 Paul Gier 2013-08-13 18:10:46 EDT
Currently working on this and should have an update in the next 1-2 days.
Comment 2 Rostislav Svoboda 2013-08-19 04:12:24 EDT
Any update on this ?
Comment 3 Paul Gier 2013-08-19 16:57:22 EDT
Basic information about BOMs for EAP 6.1.1
https://docspace.corp.redhat.com/docs/DOC-153970
Comment 4 Rostislav Svoboda 2013-08-20 01:51:44 EDT
We need to push this information into EAP documentation, CCing Russell Dickenson.
Paul, could you please with with Russell on this ?
Comment 5 Rostislav Svoboda 2013-08-27 08:24:16 EDT
Russell, this must be documented for EAP 6.1.1 release, it has blocker flag.
Comment 6 Scott Mumford 2013-08-28 01:01:36 EDT
Thanks for the link to the documentation, Paul. A new CCMS topic has been created with that content and will be included in the 6.1.1 suite.

Also, a draft release note has been added to the docs text field above. Please comment if it needs more information or is inaccurate in any way.

Setting needinfo flag to request this verification.
Comment 7 Rostislav Svoboda 2013-08-28 12:47:55 EDT
REMINDER - this is the only open BZ with blocker+ and jboss-eap-6.1.1+ flags.

We need to have this solved before end of this week, the best option is today.
Comment 8 Paul Gier 2013-08-29 09:54:41 EDT
I reviewed the updated documentation with sgilda and I think it looks fine now.
Comment 10 Nikoleta Ziakova 2013-08-30 06:21:36 EDT
Verified. Only minor issue found, see BZ 1002949.

Note You need to log in before you can comment on or make changes to this bug.